NormalMediaPresentationEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Class NormalMediaPresentationEvent

    java.lang.Object
      java.util.EventObject
          javax.media.ControllerEvent
              org.ocap.media.MediaPresentationEvent
                  org.ocap.media.NormalMediaPresentationEvent

All Implemented Interfaces:
  Serializable, MediaEvent

    public abstract class NormalMediaPresentationEvent

extends MediaPresentationEvent

`NormalMediaPresentationEvent` is a JMF event generated when the normal media components of a service are presented.

Media presentation is considered as normal when explicitly selected service components (by a dedicated API), or implicitly selected service components (by the player itself) can be presented to the user.

`NormalMediaPresentationEvent` notification is generated :

- When normal media content presentation begins;

- During the presentation of a service, if alternative media content was presented and all of that media alternative content is replaced by a content which is a normal part of the service concerned;

- During the presentation of a service, if normal media content was being presented and an evaluation leads to a new normal media content presentation.

  See Also:
    Serialized Form

  Method Summary

  Methods inherited from class org.ocap.media.MediaPresentationEvent
  `getLocators, isSourceDigital`

  Methods inherited from class javax.media.ControllerEvent
  `getSource, getSourceController`

  Methods inherited from class java.util.EventObject
  `toString`

  Methods inherited from class java.lang.Object
  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help

  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD